Découpe

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part JoinCutout and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano • ‎română • ‎русский

Part JoinCutout.svg Outils de division de formes (scinder)

Emplacement du menu
Pièce → Joindre → Découpe pour objet
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Connecter, Intégrer, Découpe, Opérations booléennes, Évidement (ou coque)


Description

l'outil Découpe créé une ouverture dans la paroi d'un objet par un autre objet (par exemple un tuyau) .


JoinFeatures Cutout.png


Comment l'utiliser

  1. Sélectionnez d'abord l'objet de base, puis l'objet qui définit la découpe.
    L'ordre de sélection est important. Il suffit de sélectionner une sous-forme de chaque objet (par exemple, des faces).
  2. Invoquez la commande Découpe.

Un objet Cutout est créé, avec le mode défini sur 'Cutout' (Découpe). Les objets originaux sont masqués et le résultat de la découpe est affiché en vue 3D.

Propriétés

Base

  • DONNÉESBase: Référence à l'objet de base (celui dans lequel on veut faire la découpe). L'objet doit être un solide unique.
  • DONNÉESTool: Référence à l'objet Empreinte (l'objet à utiliser pour la découpe). L'objet peut être un solide unique ou un composé valide de solides.
  • DONNÉESMode: Le mode de fonctionnement est égal à 'Cutout' (Découpe) (Changement qui transformera l'Empreinte en une autre Part_JoinXXX). La valeur 'bypass' peut être utilisée pour désactiver temporairement les calculs longs (un composé composé de Base et d'Empreinte sera créé, ce qui est une opération rapide).
  • DONNÉESRefine: définit s'il faut appliquer l'opération Affiner ou non, à la forme finale. La valeur par défaut est déterminée par la case à cocher "Affiner automatiquement la forme après l'opération booléenne" dans les préférences de PartDesign. Lorsque la propriété Mode est 'bypass', affiner est ignoré (jamais appliqué).

Exemple

  1. Créez un tuyau en appliquant évidement (ou coque) à un cylindre:
    JoinFeatures Example step1.png
  2. Créez un autre tuyau de plus petit diamètre et placez-le de manière à ce qu'il perce la paroi du premier tuyau:
    JoinFeatures Example step2.png
  3. Sélectionnez le premier tuyau, puis le second (l'ordre de sélection est important), puis cliquez sur l'option 'Découpe pour l'objet' dans le bouton de la barre d'outils déroulante Outils de jointure.
    JoinFeatures Example step3 Cutout.png

Algorithme

Les algorithmes derrière les outils Joindre sont assez simples et leur compréhension est importante pour utiliser les outils correctement.

1. L'objet de base subit une soustraction booléenne de l'objet Empreinte. La forme résultante est un ensemble (composé) de solides non sécants (généralement deux).

2. Le composé résultant est filtré: seul le plus grand solide est conservé.

3. Si la propriété Refine (Affiner) est vraie, la forme résultante est affinée.

JoinFeatures-Algo-Cutout.png

Notes

  • Si après l’étape 1, l’objet reste en un seul morceau, le résultat de la découpe sera équivalent à une soustraction booléenne de la base et de l’empreinte.
  • Actuellement, l'outil produira un résultat inattendu, si un composé est fourni comme base. Cela pourra être changé dans le futur.
  • Étant donné que la plus grande pièce est déterminée en comparant les volumes des pièces, l'outil ne peut fonctionner qu'avec des solides. Cela pourra être changé dans le futur.

Script

L'outil Joindre peut être utilisé dans des macros à partir de la console Python en utilisant la fonction suivante:

JoinFeatures.makePartJoinFeature(name = 'Cutout', mode = 'Cutout')
  • Crée une fonction Cutout (découpe) vide (ou une autre fonction Joindre, selon le mode sélectionné). Les propriétés Base et Tool (empreinte) doivent ensuite être attribuées explicitement.
  • Retourne le nouvel objet créé.

Exemple:

import JoinFeatures
j = JoinFeatures.makePartJoinFeature(name = 'Cutout', mode = 'Cutout' )
j.Base = FreeCADGui.Selection.getSelection()[0]
j.Tool = FreeCADGui.Selection.getSelection()[1]

L'outil lui-même est implémenté en Python, voir /Mod/Part/JoinFeatures.py là où FreeCAD est installé.

Version

Cet outil a été introduit en FreeCAD depuis V0.16.5069